UPDATE SETORES_ATIVOS SA
  SET SA.CODIGODISPOSITIVOAPONTAMENTO = (SELECT FIRST 1 SR.CODIGODISPOSITIVOAPONTAMENTO
                                           FROM SETORES_REALIZADOS SR
                                           WHERE SR.CODIGOVEICULO = SA.CODIGOVEICULO
                                             AND SR.CONTROLE = SA.CONTROLE
                                             AND SR.CODIGOSETOR = SA.CODIGOSETOR)
  WHERE SA.CODIGODISPOSITIVOAPONTAMENTO IS NULL;
